dependencyManagement {
  versions {
    overcastUtilsVersion: "1.0.2"
  }
  dependencies: [
    "org.scala-graph:graph-core_${scalaVersion}:1.11.1"
    "com.assembla.scala-incubator:graph-constrained_${scalaVersion}:1.11.0"
    "com.icegreen:greenmail:1.5.2"
    "xmlpull:xmlpull:1.1.3.1"
    "com.xebialabs.xl-platform.test-utils:overcast-utils:${overcastUtilsVersion}"
    "com.xebialabs.deployit:test-data:$xlDeployVersion"
    {
      group: "com.xebialabs.deployit.engine"
      version: "$xlDeployVersion"
      artifacts: [
        "planner"
        "test-engine"
      ]
    }
    {
      group: "com.xebialabs.deployit.plugins"
      version: "$xlDeployVersion"
      artifacts: [
        "base-plugin"
        "command-plugin"
        "database-plugin"
        "deployment-checklist-plugin"
        "file-plugin"
        "generic-plugin"
        "group-orchestrator-plugin"
        "jee-plugin"
        "powershell-plugin"
        "python-plugin"
        "remoting-plugin"
        "trigger-plugin"
        "webserver-plugin"
      ]
    }
  ]

  blacklist: [
    "com.typesafe.akka:akka-persistence-experimental_2.10"
    "com.typesafe.akka:akka-stream-experimental_2.11"
    "com.sun.xml.bind:jaxb-impl"
    "com.sun.xml.stream:sjsxp"
  ]
}
